Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 5103)
@@ -1251,113 +1247,113 @@
 !! Increment state variables
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-    IF (flag_inhib_forcing == 0) then ! if tendency of forcings should be added
-
-! pour les cas sandu et astex, on reclacule u,v,q,temp et teta dans 1D_nudge_sandu_astex.h
-! au dessus de 700hpa, on relaxe vers les profils initiaux
-      if (forcing_sandu .OR. forcing_astex) then
-      INCLUDE "1D_nudge_sandu_astex.h"
-      else
-        u(1:mxcalc)=u(1:mxcalc) + timestep*(                                &
-                du_phys(1:mxcalc)                                       &
-               +du_age(1:mxcalc)+du_adv(1:mxcalc)                       &
-               +d_u_nudge(1:mxcalc) )
-        v(1:mxcalc)=v(1:mxcalc) + timestep*(                                 &
-                dv_phys(1:mxcalc)                                       &
-               +dv_age(1:mxcalc)+dv_adv(1:mxcalc)                       &
-               +d_v_nudge(1:mxcalc) )
-        q(1:mxcalc,:)=q(1:mxcalc,:)+timestep*(                              &
-                  dq(1:mxcalc,:)                                        &
-                 +d_q_adv(1:mxcalc,:)                                   &
-                 +d_q_nudge(1:mxcalc,:) )
-
-        if (prt_level>=3) then
-          print *,                                                          &
-      'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ',         &
-                temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1)
-           print* ,'dv_phys=',dv_phys
-           print* ,'dv_age=',dv_age
-           print* ,'dv_adv=',dv_adv
-           print* ,'d_v_nudge=',d_v_nudge
-           print*, v
-           print*, vg
-        endif
-
-        temp(1:mxcalc)=temp(1:mxcalc)+timestep*(                            &
-                dt_phys(1:mxcalc)                                       &
-               +d_t_adv(1:mxcalc)                                      &
-               +d_t_nudge(1:mxcalc)                                      &
-               +dt_cooling(1:mxcalc))  ! Taux de chauffage ou refroid.
-
-#ifdef OUTPUT_PHYS_SCM
-      CALL iophys_ecrit('d_t_adv',klev,'d_t_adv','m/s',d_t_adv)
-      CALL iophys_ecrit('d_t_nudge',klev,'d_t_nudge','m/s',d_t_nudge)
-#endif
-
-      endif  ! forcing_sandu or forcing_astex
-
-        teta=temp*(pzero/play)**rkappa
-
-!---------------------------------------------------------------------
-!   Nudge soil temperature if requested
-!---------------------------------------------------------------------
-
-      IF (nudge_tsoil .AND. .NOT. lastcall) THEN
-       ftsoil(1,isoil_nudge,:) = ftsoil(1,isoil_nudge,:)                     &
-    -timestep/tau_soil_nudge*(ftsoil(1,isoil_nudge,:)-Tsoil_nudge)
-      ENDIF
-
-!---------------------------------------------------------------------
-!   Add large-scale tendencies (advection, etc) :
-!---------------------------------------------------------------------
-
-!cc nrlmd
-!cc        tmpvar=teta
-!cc        call advect_vert(llm,omega,timestep,tmpvar,plev)
-!cc
-!cc        teta(1:mxcalc)=tmpvar(1:mxcalc)
-!cc        tmpvar(:)=q(:,1)
-!cc        call advect_vert(llm,omega,timestep,tmpvar,plev)
-!cc        q(1:mxcalc,1)=tmpvar(1:mxcalc)
-!cc        tmpvar(:)=q(:,2)
-!cc        call advect_vert(llm,omega,timestep,tmpvar,plev)
-!cc        q(1:mxcalc,2)=tmpvar(1:mxcalc)
-
-   END IF ! end if tendency of tendency should be added
+IF (flag_inhib_forcing == 0) then ! if tendency of forcings should be added
+
+  ! pour les cas sandu et astex, on reclacule u,v,q,temp et teta dans 1D_nudge_sandu_astex.h
+  ! au dessus de 700hpa, on relaxe vers les profils initiaux
+  if (forcing_sandu .OR. forcing_astex) then
+    INCLUDE "1D_nudge_sandu_astex.h"
+  else
+    u(1:mxcalc) = u(1:mxcalc) + timestep * (&
+            du_phys(1:mxcalc)                                       &
+                    + du_age(1:mxcalc) + du_adv(1:mxcalc)                       &
+                    + d_u_nudge(1:mxcalc))
+    v(1:mxcalc) = v(1:mxcalc) + timestep * (&
+            dv_phys(1:mxcalc)                                       &
+                    + dv_age(1:mxcalc) + dv_adv(1:mxcalc)                       &
+                    + d_v_nudge(1:mxcalc))
+    q(1:mxcalc, :) = q(1:mxcalc, :) + timestep * (&
+            dq(1:mxcalc, :)                                        &
+                    + d_q_adv(1:mxcalc, :)                                   &
+                    + d_q_nudge(1:mxcalc, :))
+
+    if (prt_level>=3) then
+      print *, &
+              'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ', &
+              temp(1), dt_phys(1), d_t_adv(1), dt_cooling(1)
+      PRINT*, 'dv_phys=', dv_phys
+      PRINT*, 'dv_age=', dv_age
+      PRINT*, 'dv_adv=', dv_adv
+      PRINT*, 'd_v_nudge=', d_v_nudge
+      PRINT*, v
+      PRINT*, vg
+    endif
+
+    temp(1:mxcalc) = temp(1:mxcalc) + timestep * (&
+            dt_phys(1:mxcalc)                                       &
+                    + d_t_adv(1:mxcalc)                                      &
+                    + d_t_nudge(1:mxcalc)                                      &
+                    + dt_cooling(1:mxcalc))  ! Taux de chauffage ou refroid.
+
+    IF (CPPKEY_OUTPUTPHYSSCM)
+      CALL iophys_ecrit('d_t_adv', klev, 'd_t_adv', 'm/s', d_t_adv)
+      CALL iophys_ecrit('d_t_nudge', klev, 'd_t_nudge', 'm/s', d_t_nudge)
+    END IF
+
+  endif  ! forcing_sandu or forcing_astex
+
+  teta = temp * (pzero / play)**rkappa
+
+  !---------------------------------------------------------------------
+  !   Nudge soil temperature if requested
+  !---------------------------------------------------------------------
+
+  IF (nudge_tsoil .AND. .NOT. lastcall) THEN
+    ftsoil(1, isoil_nudge, :) = ftsoil(1, isoil_nudge, :)                     &
+            - timestep / tau_soil_nudge * (ftsoil(1, isoil_nudge, :) - Tsoil_nudge)
+  ENDIF
+
+  !---------------------------------------------------------------------
+  !   Add large-scale tendencies (advection, etc) :
+  !---------------------------------------------------------------------
+
+  !cc nrlmd
+  !cc        tmpvar=teta
+  !cc        CALL advect_vert(llm,omega,timestep,tmpvar,plev)
+  !cc
+  !cc        teta(1:mxcalc)=tmpvar(1:mxcalc)
+  !cc        tmpvar(:)=q(:,1)
+  !cc        CALL advect_vert(llm,omega,timestep,tmpvar,plev)
+  !cc        q(1:mxcalc,1)=tmpvar(1:mxcalc)
+  !cc        tmpvar(:)=q(:,2)
+  !cc        CALL advect_vert(llm,omega,timestep,tmpvar,plev)
+  !cc        q(1:mxcalc,2)=tmpvar(1:mxcalc)
+
+END IF ! end if tendency of tendency should be added
 
 !---------------------------------------------------------------------
 !   Air temperature :
 !---------------------------------------------------------------------        
-        if (lastcall) then
-          print*,'Pas de temps final ',it
-          call ju2ymds(daytime, an, mois, jour, heure)
-          print*,'a la date : a m j h',an, mois, jour ,heure/3600.
-        endif
+IF (lastcall) then
+  PRINT*, 'Pas de temps final ', it
+  CALL ju2ymds(daytime, an, mois, jour, heure)
+  PRINT*, 'a la date : a m j h', an, mois, jour, heure / 3600.
+END IF
 
 !  incremente day time
-!        print*,'daytime bef',daytime,1./day_step
-        daytime = daytime+1./day_step
+!        PRINT*,'daytime bef',daytime,1./day_step
+daytime = daytime + 1. / day_step
 !Al1dbg
-        day = int(daytime+0.1/day_step)
+day = int(daytime + 0.1 / day_step)
 !        time = max(daytime-day,0.0)
 !Al1&jyg: correction de bug
 !cc        time = real(mod(it,day_step))/day_step
-        time = time_ini/24.+real(mod(it,day_step))/day_step
-!        print*,'daytime nxt time',daytime,time
-        it=it+1
-
-      enddo
+time = time_ini / 24. + real(mod(it, day_step)) / day_step
+!        PRINT*,'daytime nxt time',daytime,time
+it = it + 1
+
+END DO
 
 !Al1
-      if (ecrit_slab_oc/=-1) close(97)
+IF (ecrit_slab_oc/=-1) close(97)
 
 !Al1 Call to 1D equivalent of dynredem (an,mois,jour,heure ?)
 ! -------------------------------------
-       call dyn1dredem("restart1dyn.nc",                                    &
-                plev,play,phi,phis,presnivs,                            &
-                u,v,temp,q,omega2)
-
-        CALL abort_gcm ('lmdz1d   ','The End  ',0)
-
-        END SUBROUTINE old_lmdz1d
+CALL dyn1dredem("restart1dyn.nc", &
+        plev, play, phi, phis, presnivs, &
+        u, v, temp, q, omega2)
+
+CALL abort_gcm ('lmdz1d   ', 'The End  ', 0)
+
+END SUBROUTINE old_lmdz1d
 
         INCLUDE "old_1DUTILS_read_interp.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5103)
@@ -51,10 +51,10 @@
 dayref=1
 anneeref=2000
-call getin('dayref',dayref)
-call getin('anneeref',anneeref)
-call getin('calend',calend)
-call getin('day_step',day_step)
+CALL getin('dayref',dayref)
+CALL getin('anneeref',anneeref)
+CALL getin('calend',calend)
+CALL getin('day_step',day_step)
 calendrier=calend
-if ( calendrier == "earth_360d" ) calendrier="360_day"
+IF ( calendrier == "earth_360d" ) calendrier="360_day"
 
 
@@ -64,10 +64,10 @@
 an0=anneeref
 
-!print*,"REPLAY1D jour0,mois0,an0",jour0,mois0,an0
+!PRINT*,"REPLAY1D jour0,mois0,an0",jour0,mois0,an0
 
 
 klon=1
 klev=llm
-call iotd_ini('phys.nc',1,1,klev,0.,0.,presnivs,jour0,mois0,an0,0.,86400./day_step,calendrier)
+CALL iotd_ini('phys.nc',1,1,klev,0.,0.,presnivs,jour0,mois0,an0,0.,86400./day_step,calendrier)
 ! Consistent with ... CALL iophys_ini(600.)
 
@@ -75,10 +75,10 @@
 ! Initialisation de la parametrisation
 !---------------------------------------------------------------------
-call call_ini_replay
+CALL call_ini_replay
 
 !---------------------------------------------------------------------
 ! Boucle en temps sur l'appel à la parametrisation
 !---------------------------------------------------------------------
-call call_param_replay(klon,klev)
+CALL call_param_replay(klon,klev)
 
 end
@@ -108,9 +108,9 @@
  
       write(*,*) 'in abort_gcm'
-      call histclo
+      CALL histclo
       write(*,*) 'out of histclo'
       write(*,*) 'Stopping in ', modname
       write(*,*) 'Reason = ',message
-      call getin_dump
+      CALL getin_dump
 
       if (ierr == 0) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90	(revision 5103)
@@ -100,27 +100,27 @@
 
 !        integer :: forcing_type
-        logical :: forcing_les     = .false.
-        logical :: forcing_armcu   = .false.
-        logical :: forcing_rico    = .false.
-        logical :: forcing_radconv = .false.
-        logical :: forcing_toga    = .false.
-        logical :: forcing_twpice  = .false.
-        logical :: forcing_amma    = .false.
-        logical :: forcing_dice    = .false.
-        logical :: forcing_gabls4  = .false.
-
-        logical :: forcing_GCM2SCM = .false.
-        logical :: forcing_GCSSold = .false.
-        logical :: forcing_sandu   = .false.
-        logical :: forcing_astex   = .false.
-        logical :: forcing_fire    = .false.
-        logical :: forcing_case    = .false.
-        logical :: forcing_case2   = .false.
-        logical :: forcing_SCM   = .false.
+        logical :: forcing_les     = .FALSE.
+        logical :: forcing_armcu   = .FALSE.
+        logical :: forcing_rico    = .FALSE.
+        logical :: forcing_radconv = .FALSE.
+        logical :: forcing_toga    = .FALSE.
+        logical :: forcing_twpice  = .FALSE.
+        logical :: forcing_amma    = .FALSE.
+        logical :: forcing_dice    = .FALSE.
+        logical :: forcing_gabls4  = .FALSE.
+
+        logical :: forcing_GCM2SCM = .FALSE.
+        logical :: forcing_GCSSold = .FALSE.
+        logical :: forcing_sandu   = .FALSE.
+        logical :: forcing_astex   = .FALSE.
+        logical :: forcing_fire    = .FALSE.
+        logical :: forcing_case    = .FALSE.
+        logical :: forcing_case2   = .FALSE.
+        logical :: forcing_SCM   = .FALSE.
 
 !flag forcings
-        logical :: nudge_wind=.true.
-        logical :: nudge_thermo=.false.
-        logical :: cptadvw=.true.
+        logical :: nudge_wind=.TRUE.
+        logical :: nudge_thermo=.FALSE.
+        logical :: cptadvw=.TRUE.
 
 
@@ -190,5 +190,5 @@
 !  Call to phyredem
 !---------------------------------------------------------------------
-      logical :: ok_writedem =.true.
+      logical :: ok_writedem =.TRUE.
       real :: sollw_in = 0.
       real :: solsw_in = 0.
@@ -197,6 +197,6 @@
 !  Call to physiq
 !---------------------------------------------------------------------
-      logical :: firstcall=.true.
-      logical :: lastcall=.false.
+      logical :: firstcall=.TRUE.
+      logical :: lastcall=.FALSE.
       real :: phis(1)    = 0.0
       real :: dpsrf(1)
@@ -234,5 +234,5 @@
 
 
-      print*,'VOUS ENTREZ DANS LE 1D FORMAT STANDARD'
+      PRINT*,'VOUS ENTREZ DANS LE 1D FORMAT STANDARD'
 
 !=====================================================================
@@ -258,5 +258,5 @@
 ! Initialization of Common turb_forcing
        dtime_frcg = 0.
-       Turb_fcg_gcssold=.false.
+       Turb_fcg_gcssold=.FALSE.
        hthturb_gcssold = 0.
        hqturb_gcssold = 0.
@@ -268,5 +268,5 @@
 ! OPTIONS OF THE 1D SIMULATION (lmdz1d.def => unicol.def)
 !---------------------------------------------------------------------
-        call conf_unicol
+        CALL conf_unicol
 !Al1 moves this gcssold var from common fcg_gcssold to 
         Turb_fcg_gcssold = xTurb_fcg_gcssold
@@ -275,5 +275,5 @@
         write(*,*) 'lmdz1d.def lu => unicol.def'
 
-       forcing_SCM = .true.
+       forcing_SCM = .TRUE.
        year_ini_cas=1997
        ! It is possible that those parameters are run twice.
@@ -281,10 +281,10 @@
 
 
-       call getin('anneeref',year_ini_cas)
-       call getin('dayref',day_deb)
+       CALL getin('anneeref',year_ini_cas)
+       CALL getin('dayref',day_deb)
        mth_ini_cas=1 ! pour le moment on compte depuis le debut de l'annee
-       call getin('time_ini',heure_ini_cas)
-
-      print*,'NATURE DE LA SURFACE ',nat_surf
+       CALL getin('time_ini',heure_ini_cas)
+
+      PRINT*,'NATURE DE LA SURFACE ',nat_surf
 
 ! Initialization of the logical switch for nudging
@@ -299,5 +299,5 @@
 !-----------------------------------------------------------------------
 
-      call conf_gcm( 99, .TRUE. )
+      CALL conf_gcm( 99, .TRUE. )
       
 !-----------------------------------------------------------------------
@@ -327,15 +327,15 @@
 !      calend = 'earth_365d'
       if (calend == 'earth_360d') then
-        call ioconf_calendar('360_day')
+        CALL ioconf_calendar('360_day')
         write(*,*)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
       else if (calend == 'earth_365d') then
-        call ioconf_calendar('noleap')
+        CALL ioconf_calendar('noleap')
         write(*,*)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
       else if (calend == 'earth_366d') then
-        call ioconf_calendar('all_leap')
+        CALL ioconf_calendar('all_leap')
         write(*,*)'CALENDRIER CHOISI: Terrestre bissextile'
       else if (calend == 'gregorian') then
         stop 'gregorian calend should not be used by normal user'
-        call ioconf_calendar('gregorian') ! not to be used by normal users
+        CALL ioconf_calendar('gregorian') ! not to be used by normal users
         write(*,*)'CALENDRIER CHOISI: Gregorien'
       else
@@ -368,5 +368,5 @@
       itau_dyn = 0
       itau_phy = 0
-      call ymds2ju(annee_ref,mois,day_ref,heure,day)
+      CALL ymds2ju(annee_ref,mois,day_ref,heure,day)
       day_ini = int(day)
       day_end = day_ini + int(fnday)
@@ -374,13 +374,13 @@
 ! Convert the initial date to Julian day
       day_ini_cas=day_deb
-      print*,'time case',year_ini_cas,mth_ini_cas,day_ini_cas
-      call ymds2ju                                                         &
+      PRINT*,'time case',year_ini_cas,mth_ini_cas,day_ini_cas
+      CALL ymds2ju                                                         &
    (year_ini_cas,mth_ini_cas,day_ini_cas,heure_ini_cas*3600            &
    ,day_ju_ini_cas)
-      print*,'time case 2',day_ini_cas,day_ju_ini_cas
+      PRINT*,'time case 2',day_ini_cas,day_ju_ini_cas
       daytime = day + heure_ini_cas/24. ! 1st day and initial time of the simulation 
 
 ! Print out the actual date of the beginning of the simulation :
-      call ju2ymds(daytime,year_print, month_print,day_print,sec_print)
+      CALL ju2ymds(daytime,year_print, month_print,day_print,sec_print)
       print *,' Time of beginning : ',                                      &
           year_print, month_print, day_print, sec_print
@@ -389,9 +389,9 @@
 ! Initialization of dimensions, geometry and initial state
 !---------------------------------------------------------------------
-!     call init_phys_lmdz(1,1,llm,1,(/1/)) ! job now done via iniphysiq
+!     CALL init_phys_lmdz(1,1,llm,1,(/1/)) ! job now done via iniphysiq
 !     but we still need to initialize dimphy module (klon,klev,etc.)  here.
-      call init_dimphy1D(1,llm)
-      call suphel
-      call init_infotrac
+      CALL init_dimphy1D(1,llm)
+      CALL suphel
+      CALL init_infotrac
 
       if (nqtot>nqmx) STOP 'Augmenter nqmx dans lmdz1d.F'
@@ -414,11 +414,11 @@
       nsw=6
 
-      call phys_state_var_init(read_climoz)
+      CALL phys_state_var_init(read_climoz)
 
       if (ngrid/=klon) then
-         print*,'stop in inifis'
-         print*,'Probleme de dimensions :'
-         print*,'ngrid = ',ngrid
-         print*,'klon  = ',klon
+         PRINT*,'stop in inifis'
+         PRINT*,'Probleme de dimensions :'
+         PRINT*,'ngrid = ',ngrid
+         PRINT*,'klon  = ',klon
          stop
       endif
@@ -442,5 +442,5 @@
        print *,'Flux: ok_flux wtsurf wqsurf',ok_flux_surf,wtsurf,wqsurf
       ENDIF
-      print*,'Flux sol ',fsens,flat
+      PRINT*,'Flux sol ',fsens,flat
 
 ! Vertical discretization and pressure levels at half and mid levels:
@@ -450,5 +450,5 @@
       preff = psurf
       IF (ok_old_disvert) THEN
-        call disvert0(pa,preff,ap,bp,dpres,presnivs,nivsigs,nivsig)
+        CALL disvert0(pa,preff,ap,bp,dpres,presnivs,nivsigs,nivsig)
         print *,'On utilise disvert0'
         aps(1:llm)=0.5*(ap(1:llm)+ap(2:llm+1))
@@ -457,5 +457,5 @@
         pseudoalt(1:llm)=-scaleheight*log(presnivs(1:llm)/preff)
       ELSE
-        call disvert()
+        CALL disvert()
         print *,'On utilise disvert'
 !       Nouvelle version disvert permettant d imposer ap,bp (modif L.Guez) MPL 18092012
@@ -476,5 +476,5 @@
          llm700=l
          print *,'llm700,play=',llm700,play(l)/100.
-         trouve_700= .false.
+         trouve_700= .FALSE.
        endif
       enddo
@@ -487,5 +487,5 @@
 
       INCLUDE "1D_read_forc_cases.h"
-   print*,'A d_t_adv ',d_t_adv(1:20)*86400
+   PRINT*,'A d_t_adv ',d_t_adv(1:20)*86400
 
       if (forcing_GCM2SCM) then
@@ -523,5 +523,5 @@
       rlon_rad(1)=xlon*rpi/180.
 
-     ! iniphysiq will call iniaqua who needs year_len from phys_cal_mod
+     ! iniphysiq will CALL iniaqua who needs year_len from phys_cal_mod
      year_len_phys_cal_mod=year_len
            
@@ -530,5 +530,5 @@
      ! with '0.' when necessary
 
-      call iniphysiq(iim,jjm,llm, &
+      CALL iniphysiq(iim,jjm,llm, &
            1,comm_lmdz, &
            rday,day_ini,timestep,  &
@@ -539,5 +539,5 @@
            (/zcvfi,0./), &
            ra,rg,rd,rcpd,1)
-      print*,'apres iniphysiq'
+      PRINT*,'apres iniphysiq'
 
 ! 2 PARAMETRES QUI DEVRAIENT ETRE LUS DANS run.def MAIS NE LE SONT PAS ICI:
@@ -557,5 +557,5 @@
         type_ocean = "force"
         run_off_lic_0(1) = restart_runoff 
-        call fonte_neige_init(run_off_lic_0)
+        CALL fonte_neige_init(run_off_lic_0)
 
         fder=0.
@@ -580,10 +580,10 @@
 !       tsoil(1,11,1)=308.00
 !-----------------------------------------------------------------------
-        call pbl_surface_init(fder, snsrf, qsurfsrf, tsoil)
+        CALL pbl_surface_init(fder, snsrf, qsurfsrf, tsoil)
 
 !------------------ prepare limit conditions for limit.nc -----------------
 !--   Ocean force
 
-        print*,'avant phyredem'
+        PRINT*,'avant phyredem'
         pctsrf(1,:)=0.
           if (nat_surf==0.) then
@@ -611,5 +611,5 @@
 
 
-        print*,'nat_surf,pctsrf(1,is_oce),pctsrf(1,is_ter)',nat_surf         &
+        PRINT*,'nat_surf,pctsrf(1,is_oce),pctsrf(1,is_ter)',nat_surf         &
           ,pctsrf(1,is_oce),pctsrf(1,is_ter)
 
@@ -704,19 +704,19 @@
 !Al1 =============== restart option ======================================
         iflag_physiq=0
-        call getin('iflag_physiq',iflag_physiq)
+        CALL getin('iflag_physiq',iflag_physiq)
 
         if (.not.restart) then
           iflag_pbl = 5
-          call phyredem ("startphy.nc")
+          CALL phyredem ("startphy.nc")
         else
 ! (desallocations)
-        print*,'callin surf final'
-          call pbl_surface_final( fder, snsrf, qsurfsrf, tsoil)
-        print*,'after surf final'
+        PRINT*,'callin surf final'
+          CALL pbl_surface_final( fder, snsrf, qsurfsrf, tsoil)
+        PRINT*,'after surf final'
           CALL fonte_neige_final(run_off_lic_0)
         endif
 
-        ok_writedem=.false.
-        print*,'apres phyredem'
+        ok_writedem=.FALSE.
+        PRINT*,'apres phyredem'
 
       endif ! ok_writedem
@@ -726,5 +726,5 @@
 ! --------------------------------------------------
 ! NB: List of the variables to be written in limit.nc 
-!     (by writelim.F, subroutine of 1DUTILS.h):
+!     (by writelim.F, SUBROUTINE of 1DUTILS.h):
 !        phy_nat,phy_alb,phy_sst,phy_bil,phy_rug,phy_ice,
 !        phy_fter,phy_foce,phy_flic,phy_fsic)
@@ -742,18 +742,18 @@
 
 ! fabrication de limit.nc
-      call writelim (1,phy_nat,phy_alb,phy_sst,phy_bil,phy_rug,             &
+      CALL writelim (1,phy_nat,phy_alb,phy_sst,phy_bil,phy_rug,             &
                  phy_ice,phy_fter,phy_foce,phy_flic,phy_fsic)
 
 
-      call phys_state_var_end
+      CALL phys_state_var_end
 !Al1
       if (restart) then
-        print*,'call to restart dyn 1d'
+        PRINT*,'CALL to restart dyn 1d'
         Call dyn1deta0("start1dyn.nc",plev,play,phi,phis,presnivs,          &
                 u,v,temp,q,omega2)
 
-       print*,'fnday,annee_ref,day_ref,day_ini',                            &
+       PRINT*,'fnday,annee_ref,day_ref,day_ini',                            &
        fnday,annee_ref,day_ref,day_ini
-!**      call ymds2ju(annee_ref,mois,day_ini,heure,day)
+!**      CALL ymds2ju(annee_ref,mois,day_ini,heure,day)
        day = day_ini
        day_end = day_ini + nday
@@ -761,5 +761,5 @@
 
 ! Print out the actual date of the beginning of the simulation :
-       call ju2ymds(daytime, an, mois, jour, heure)
+       CALL ju2ymds(daytime, an, mois, jour, heure)
        print *,' Time of beginning : y m d h',an, mois,jour,heure/3600.
 
@@ -767,8 +767,8 @@
        time=daytime-day
   
-       print*,'****** intialised fields from restart1dyn *******'
-       print*,'plev,play,phi,phis,presnivs,u,v,temp,q,omega2'
-       print*,'temp(1),q(1,1),u(1),v(1),plev(1),phis :'
-       print*,temp(1),q(1,1),u(1),v(1),plev(1),phis(1)
+       PRINT*,'****** intialised fields from restart1dyn *******'
+       PRINT*,'plev,play,phi,phis,presnivs,u,v,temp,q,omega2'
+       PRINT*,'temp(1),q(1,1),u(1),v(1),plev(1),phis :'
+       PRINT*,temp(1),q(1,1),u(1),v(1),plev(1),phis(1)
 ! raz for safety
        do l=1,llm
@@ -784,7 +784,7 @@
 
 !=====================================================================
-#ifdef OUTPUT_PHYS_SCM
+IF (CPP_OUTPUTPHYSSCM) THEN
        CALL iophys_ini(timestep)
-#endif
+END IF
 
 !=====================================================================
@@ -796,7 +796,7 @@
 
        if (prt_level>=1) then
-         print*,'XXXXXXXXXXXXXXXXXXX ITAP,day,time=',                       &
+         PRINT*,'XXXXXXXXXXXXXXXXXXX ITAP,day,time=',                       &
                it,day,time,it_end,day_step
-         print*,'PAS DE TEMPS ',timestep
+         PRINT*,'PAS DE TEMPS ',timestep
        endif
        if (it==it_end) lastcall=.True.
@@ -874,10 +874,10 @@
 !   Call physiq :
 !---------------------------------------------------------------------
-       call physiq(ngrid,llm, &
+       CALL physiq(ngrid,llm, &
                     firstcall,lastcall,timestep, &
                     plev,play,phi,phis,presnivs, &
                     u,v, rot, temp,q,omega2, &
                     du_phys,dv_phys,dt_phys,dq,dpsrf)
-                firstcall=.false.
+                firstcall=.FALSE.
 
 !---------------------------------------------------------------------
@@ -906,5 +906,5 @@
        fcoriolis=2.*sin(rpi*xlat/180.)*romega
 
-      IF (prt_level >= 5) print*, 'fcoriolis, xlat,mxcalc ', &
+      IF (prt_level >= 5) PRINT*, 'fcoriolis, xlat,mxcalc ', &
                                    fcoriolis, xlat,mxcalc
 
@@ -998,5 +998,5 @@
 !---------------------------------------------------------------------
 
-#ifdef OUTPUT_PHYS_SCM
+IF (CPP_OUTPUTPHYSSCM) THEN
       CALL iophys_ecrit('w_adv',klev,'w_adv','K/day',w_adv)
       CALL iophys_ecrit('z_adv',klev,'z_adv','K/day',z_adv)
@@ -1013,5 +1013,5 @@
       CALL iophys_ecrit('dtnud',klev,'dtnud','K/day',86400*d_t_nudge)
       CALL iophys_ecrit('dqnud',klev,'dqnud','K/day',1000*86400*d_q_nudge(:,1))
-#endif
+END IF
 
     IF (flag_inhib_forcing == 0) then ! if tendency of forcings should be added
@@ -1034,10 +1034,10 @@
       'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ',         &
                 temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1)
-           print* ,'dv_phys=',dv_phys
-           print* ,'d_v_age=',d_v_age
-           print* ,'d_v_adv=',d_v_adv
-           print* ,'d_v_nudge=',d_v_nudge
-           print*, v
-           print*, vg
+           PRINT* ,'dv_phys=',dv_phys
+           PRINT* ,'d_v_age=',d_v_age
+           PRINT* ,'d_v_adv=',d_v_adv
+           PRINT* ,'d_v_nudge=',d_v_nudge
+           PRINT*, v
+           PRINT*, vg
         endif
 
@@ -1070,12 +1070,12 @@
 !cc nrlmd
 !cc        tmpvar=teta
-!cc        call advect_vert(llm,omega,timestep,tmpvar,plev)
+!cc        CALL advect_vert(llm,omega,timestep,tmpvar,plev)
 !cc
 !cc        teta(1:mxcalc)=tmpvar(1:mxcalc)
 !cc        tmpvar(:)=q(:,1)
-!cc        call advect_vert(llm,omega,timestep,tmpvar,plev)
+!cc        CALL advect_vert(llm,omega,timestep,tmpvar,plev)
 !cc        q(1:mxcalc,1)=tmpvar(1:mxcalc)
 !cc        tmpvar(:)=q(:,2)
-!cc        call advect_vert(llm,omega,timestep,tmpvar,plev)
+!cc        CALL advect_vert(llm,omega,timestep,tmpvar,plev)
 !cc        q(1:mxcalc,2)=tmpvar(1:mxcalc)
 
@@ -1086,7 +1086,7 @@
 !---------------------------------------------------------------------        
         if (lastcall) then
-          print*,'Pas de temps final ',it
-          call ju2ymds(daytime, an, mois, jour, heure)
-          print*,'a la date : a m j h',an, mois, jour ,heure/3600.
+          PRINT*,'Pas de temps final ',it
+          CALL ju2ymds(daytime, an, mois, jour, heure)
+          PRINT*,'a la date : a m j h',an, mois, jour ,heure/3600.
         endif
 
@@ -1106,5 +1106,5 @@
 !Al1 Call to 1D equivalent of dynredem (an,mois,jour,heure ?)
 ! ---------------------------------------------------------------------------
-       call dyn1dredem("restart1dyn.nc",                                    &
+       CALL dyn1dredem("restart1dyn.nc",                                    &
                 plev,play,phi,phis,presnivs,                            &
                 u,v,temp,q,omega2)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5103)
@@ -1,3 +1,3 @@
-subroutine ener_conserv(klon,klev,pdtphys, &
+SUBROUTINE ener_conserv(klon,klev,pdtphys, &
                         puo,pvo,pto,qx,ivap,iliq,isol, &
                         pun,pvn,ptn,pqn,pqln,pqsn,dtke,masse,exner,d_t_ec)
@@ -89,5 +89,5 @@
 
    IF (iflag_ener_conserv<=2) THEN
-!     print*,'ener_conserv pbl=',iflag_pbl
+!     PRINT*,'ener_conserv pbl=',iflag_pbl
       IF (iflag_pbl>=20 .AND. iflag_pbl<=27) THEN !d_t_diss accounts for conserv
          d_t(:,:)=d_t_ajs(:,:)   ! d_t_ajs = adjust + thermals
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5103)
@@ -117,5 +117,5 @@
     REAL, DIMENSION(klev+1) ::HREF
 
-    LOGICAL, SAVE :: gwd_reproductibilite_mpiomp=.true.
+    LOGICAL, SAVE :: gwd_reproductibilite_mpiomp=.TRUE.
     LOGICAL, SAVE :: firstcall = .TRUE.
   !$OMP THREADPRIVATE(firstcall,gwd_reproductibilite_mpiomp)
@@ -131,5 +131,5 @@
        CALL abort_physic (modname,abort_message,1)
     ENDIF
-    firstcall=.false.
+    firstcall=.FALSE.
   ENDIF
 
@@ -186,10 +186,10 @@
 IF (1==0) THEN
     !ONLINE
-        call assert(klon == (/size(pp, 1), size(tt, 1), size(uu, 1), &
+        CALL assert(klon == (/size(pp, 1), size(tt, 1), size(uu, 1), &
          size(vv, 1), size(zustr), size(zvstr), size(d_u, 1), &
          size(d_v, 1), &
          size(east_gwstress, 1), size(west_gwstress, 1) /), &
          "FLOTT_GWD_RANDO klon")
-     call assert(klev == (/size(pp, 2), size(tt, 2), size(uu, 2), &
+     CALL assert(klev == (/size(pp, 2), size(tt, 2), size(uu, 2), &
           size(vv, 2), size(d_u, 2), size(d_v, 2), &
           size(east_gwstress,2), size(west_gwstress,2) /), &
@@ -240,5 +240,5 @@
     ENDDO
     !LAUNCH=22 ; LTROP=33
-!   print*,'LAUNCH=',LAUNCH,'LTROP=',LTROP
+!   PRINT*,'LAUNCH=',LAUNCH,'LTROP=',LTROP
 
     ! Log pressure vert. coordinate
